Bug 917656 - License field in openshift-java-client POM confusing
Summary: License field in openshift-java-client POM confusing
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: OKD
Classification: Red Hat
Component: Documentation
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Bilhar
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: 902017
TreeView+ depends on / blocked
 
Reported: 2013-03-04 13:17 UTC by Tomas Radej
Modified: 2015-07-19 23:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-18 19:26:08 UTC


Attachments (Terms of Use)

Description Tomas Radej 2013-03-04 13:17:57 UTC
The openshift-java-client's POM file claims that the project's license is ASL 2.0, but great majority of the files are in fact bearing the EPL reference, and so is the license file itself (./license). I find the current situation confusing, or even misleading. Please, either fix the POM license field or relicense the project under ASL 2.0, if possible.

Thank you.

P. S. This issue is blocking the openshift-java-client's inclusion in Fedora.

Comment 3 Tomas Radej 2013-03-18 13:49:41 UTC
Making this bug public (was private by mistake).

Comment 4 Gerard Ryan 2013-03-18 16:41:02 UTC
I've submitted a pull request at https://github.com/openshift/openshift-java-client/pull/31

I think that should solve it, once merged, right?

Comment 5 Tomas Radej 2013-03-18 17:50:51 UTC
Indeed. Thank you.

Comment 6 Gerard Ryan 2013-03-18 19:26:08 UTC
Wow. that was a quick merge! Thanks to André Dietisheim! :)


Note You need to log in before you can comment on or make changes to this bug.